Start Backup

Start Backup
Start backup

Starts an on-demand backup; poll GET /sspi/backup/status/{id} using the id from the 202 response.

Request
URI
POST
https://{api_host}/https://{api_host}:{port}/lh-appliance/backup
COPY
Request Body

Backup type, action, and optional name or description for the job.

BackupRequest of type(s) application/json
Required

Show optional properties

{
    "backup_type": "string",
    "action": "string"
}
{
    "id": "string",
    "name": "string",
    "description": "string",
    "backup_type": "string",
    "action": "string"
}
string
id
Optional

Unique id for backup

string
name
Optional
Constraints: maxLength: 255

Backup name

string
description
Optional
Constraints: maxLength: 255

Backup description

string
backup_type
Required

Backup scope; FULL_BACKUP is the supported type for this API.

string
action
Required

Must be BACKUP for starting a backup job.

Authentication
This operation uses the following authentication methods.
Responses
202

Successful response

Returns AsyncApiResponse of type(s) application/json
{
    "id": "b8f47985-22ed-3193-bca8-11c7b025cbce",
    "status_url": "/segmentation/default-ids-profiles/b8f47985-22ed-3193-bca8-11c7b025cbce/status"
}
string
id
Optional

UUID identifier of the response.

string
status_url
Optional

The URL to check the status of the operation.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

Unexpected error occurred

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"backup_type":"string","action":"string"}' https://{api_host}/https://{api_host}:{port}/lh-appliance/backup